birdfont (2.32.1) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Tue Sep 13 22:14:31 CEST 2022

birdfont (2.32.0) stable;

  * Store italic angle in font metadata

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed May 25 18:54:28 CEST 2022

birdfont (2.30.0) stable;

  * Smaller .birdfont files
  * Make sure only one copy of a background image is stored in the font file.

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Tue Feb  8 03:03:27 CET 2022

birdfont (2.27.0) stable;

  * Automatic backups every time a font is saved.
  * Copy and paste functionality in various text fields.

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Jul 19 19:42:30 CEST 2019

birdfont (2.26.0) stable;

  * Better TTF parsing
  * Updated UCD (Unicode version 12)

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed Mar  6 16:44:39 CET 2019

birdfont (2.24.0) stable;

  * Default template for HTML preview
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Mon Nov  5 21:16:12 CET 2018

birdfont (2.23.0) stable;

  * New default file extension: .birdfont instead of .bf
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Aug 10 17:27:15 CEST 2018

birdfont (2.22.0) stable;

  * Support for input from Cyrillic keyboards and other layouts in the kerning tab.

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  tis 24 jul 2018 18:56:02 CEST

birdfont (2.19.0) stable;

  * Huge amount of kerning pairs supported in the extended GPOS table

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  mån 10 okt 2016 14:38:53 CEST

birdfont (2.16.12) stable;

  * Platform independet scrollbar
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  mån 10 okt 2016 14:38:53 CEST

birdfont (2.16.9) stable;

  * RTL (right-to-left) writing in kerning tab
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  lör  1 okt 2016 09:38:00 CEST

birdfont (2.16.0) stable;

  * New freehand tool
  * Rotate objects and point handles with 45 degree steps
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Jun 12 19:53:43 CEST 2016

birdfont (2.15.6) stable;

  * Editable .notdef character
  * Bug fixes in the SVG parser

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Jan 22 13:10:07 CET 2016

birdfont (2.15.0) stable;

  * Speed optimizations
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Dec 11 22:26:42 CET 2015

birdfont (2.14.0) stable;

  * Improved horizontal metrics in TTF fonts
  * Sandbox support on Mac OS
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Thu Nov 12 20:45:02 CET 2015

birdfont (2.13.0) stable;

  * More descriptive fields in TTF fonts (license, designer, URL etc.)
  * Stylistic alternates (OpenType feature tag: salt)
  * Small Caps (OpenType feature tag: scmp)
  * Capitals to Small Caps (OpenType feature tag: c2sc)
  * Swashes (OpenType feature tag: swsh)
  * Parse circles, ellipses and lines in SVG files

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Mon Oct 26 11:33:09 CET 2015

birdfont (2.12.0) stable;

  * Support for HiDPI screens and many small tweaks

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Thu Sep 23 19:59:00 CEST 2015

birdfont (2.11.3) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Thu Aug 27 15:04:03 CEST 2015

birdfont (2.11.0) stable;

  * Merge overlapping regions
  * Bug fixes in the TTF generator

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Tue Aug 18 16:57:08 CEST 2015

birdfont (2.10.5) stable;

  * Lock grid and guides

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Jun 27 15:17:01 CEST 2015

birdfont (2.10.2) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Jun 26 10:56:45 CEST 2015

birdfont (2.10.1) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Thu Jun 25 14:33:32 CEST 2015

birdfont (2.10.0) stable;

  * Layers
  * Mac specific TTF fonts (fixes fontbook problems)	

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Jun 21 18:33:10 CEST 2015

birdfont (2.9.2) stable;

  * Fallback font with support for many languages
  * Faster GUI

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Jun  6 19:32:44 CEST 2015

birdfont (2.8.0) stable;

  * Speed optimization in font export
  * Faster search queries in the Unicode Data Base.
  * Better parsing of SVG files generated with Illustrator
  * Dialog for importing a folder with SVG files

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Tue May 19 15:04:13 CEST 2015

birdfont (2.7.0) stable;

  * Stroke
  * Round line caps
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed May 13 16:11:44 CEST 2015

birdfont (2.6.2) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Apr 25 14:04:17 CEST 2015

birdfont (2.6.0) stable;

  * A tool box in the recent files tab
  * Bright and dark color themes
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Apr 24 11:15:23 CEST 2015

birdfont (2.5.1) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed Apr 15 19:52:35 CEST 2015

birdfont (2.5.0) stable;

  * Export settings
  * Curve orientation
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Apr 13 16:45:00 CET 2015

birdfont (2.4.4) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Mar 31 11:00:00 CET 2015

birdfont (2.4.3) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Mar 27 12:27:00 CET 2015

birdfont (2.4.2) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Mar 27 12:27:00 CET 2015

birdfont (2.4.1) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Mar 27 12:27:00 CET 2015

birdfont (2.4.0) stable;

  * Contextual ligature substitution
  * Kerning strings
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Mar 24 22:09:00 CET 2015

birdfont (2.3.2) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Mar 21 17:43:16 CET 2015

birdfont (2.3.1) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Mar 20 18:23:31 CET 2015

birdfont (2.3.0) stable;

  * Customizable color themes and better icons
  * High contrast settings for better readability
  * Fixes for problems in TTF creation and other bugs

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed Mar 18 14:46:30 CET 2015

birdfont (2.2.0) stable;

  * Customizable guides
  * Bug fixes and many small UI improvements

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Mon Mar  9 13:01:03 CET 2015

birdfont (2.1.0) stable;

  * A new spacing tab
  * Improved Beziér editing
  * Side bearing metrics in edit view
  * Key bindings for zoom in and zoom out in kerning tab
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Mar  7 14:49:19 CET 2015

birdfont (2.0) stable;

  * New UI layout
  * New zoom tool
  * Improved background import
  * Customizable short cuts
  * New tab for changing font name
  * Illustrator SVG import and other bug fixes
  * Load bf fonts faster

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Dec 26 14:24:07 CET 2014

birdfont (1.8) stable;

  * Fix compability with Inkscape
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Thu Nov  6 12:13:15 CET 2014

birdfont (1.8) stable;

  * A new Beziér drawing tool
  * Move paths independent from handles or along handles.
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Oct 18 15:13:52 CEST 2014

birdfont (1.7) stable;

  * Fixes a critical spacing bug and bugs in the drawing canvas.

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Oct 10 15:28:26 CEST 2014

birdfont (1.6) stable;

  * Ligature substitution, (Open Type Feature, GSUB table)
  * Input characters by unicode value in kerning tab

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Oct  5 22:16:36 CEST 2014

birdfont (1.5) stable;

  * Bug fixes
  * A new XML parser

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Sep 27 19:08:27 CEST 2014

birdfont (1.4) stable;

  * Bug fixes
  * A complete Czech translation

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Sep 21 13:19:55 CEST 2014

birdfont (1.3) stable;

  * A bug fix

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Sep 13 22:53:12 CEST 2014

birdfont (1.2) stable;

  * Bug fixes
  * Generate fonts compatible with Microsoft Word on Mac OS
  * Command line utility for autotracing images (birdfont-autotrace)

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Sep 13 18:11:42 CEST 2014

birdfont (1.1) stable;

  * Bug fixes
  * A tool for moving the canvas

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Sep  7 09:44:48 CEST 2014

birdfont (1.0) stable;

  * Autotrace – convert raster images to vector fonts
  * Simplify paths. Deleteing points reduces the number of control points while
    still keeping the same approximate path. Use Ctrl+Del to break the paths.
  * Spacing classes that copies side bearings and kerning pairs from one glyph 
    to another. This feature makes it easier to create fonts with only upper
    case characters as well as mono spaced fonts.
  * Copy and paste multiple glyphs in the overview tab.
  * Redo command

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed Sep  3 13:36:00 CEST 2014

birdfont (0.47) stable;

  * Oblique and italic transformation
  * Improved overview tab
  * Compability with CS6

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Aug 17 16:43:24 CEST 2014

birdfont (0.46) stable;

  * Copy and paste side bearings
  * Support for many more languages including Japanese with CMAP format 12. 
  * Tools for adjusting side bearings in the kerning tab
  * A tool for moving objects to the baseline
  * A spin buttons for moving objects to a specific coordinate, rotating 
    objects and resizing paths.
  * Bug fixes  

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Aug 15 16:52:50 CEST 2014

birdfont (0.45) stable;

  * A bug fix for quadratic control points in TTF files

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Thu Aug  7 20:08:40 CEST 2014

birdfont (0.44) stable;

  * Better conversion from SVG to TTF

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed Aug  6 21:45:44 CEST 2014

birdfont (0.43) stable;

  * Fixes TTF export bug

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Thu Jul 31 18:52:14 CEST 2014

birdfont (0.42) stable;

  * Parse transform directive in SVG import.
  * A new command line utility that makes it possible to import a set of SVG
    files to a bf font file (birdfont-import).
  * Crop rotaded and resized images.
  * Better conversion from SVG files to TTF fonts.
  * Important bug fixes.
  * Load, save and export fonts in background threads.
  * Faster TTF export

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Mon Jul 28 16:04:20 CEST 2014

birdfont (0.41) stable;

  * Retain the angle of a control point handle while adjusting the length
  * Parse round corners and stroke endings in SVG files
  * Fixes bugs in the SVG import code and elsewhere in order to improve 
    compability with potrace and Illustrator
  * Delete and undo for kerning pairs
  * Complete Ukrainian and Spanish translations

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Jul  5 21:36:04 CEST 2014

birdfont (0.40) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Jun 28 15:02:02 CEST 2014

birdfont (0.39) stable;

  * Bug fixes in the kerning code

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Thu Jun 26 22:04:19 CEST 2014

birdfont (0.38) stable;

  * Many bugs and memory leaks have been fixed in this version

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Jun  8 16:12:17 CEST 2014

birdfont (0.37) stable;

  * Font size settings in the kerning tab
  * A new SVG parser
  * Compatibility with many Microsoft Windows applications
  * Bug fixes  

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Thu Apr 10 16:09:59 CEST 2014

birdfont (0.36) stable;

  * Paste letters in the kerning tab
  * Settings for the freehand tool
  * Bug fixes  

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Mar 22 16:47:45 CET 2014

birdfont (0.35) stable;

  * A new tool for drawing freehand shapes with the mouse
  * Bug fixes related to conversion from SVG to TTF
  * Fixes crash bug in SVG import code  

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed Mar 19 20:24:14 CET 2014

birdfont (0.34) stable;

  * Solves kerning issues and other bugs.

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Feb 14 14:20:12 CET 2014

birdfont (0.33) stable;

  * Background images on new versions of Mac OS X and other bug fixes.

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed Feb 12 21:22:18 CET 2014

birdfont (0.32) stable;

  * Touch screen friendly interface
  * New tools for adding and moving control points
  * Icons in 320 dpi
  * French translation
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Tue Feb 11 08:53:15 CET 2014

birdfont (0.31) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Sep 13 19:53:02 CEST 2013

birdfont (0.30) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed Sep 11 18:39:13 CEST 2013

birdfont (0.29) stable;

  * Groups of paths and control points
  * Speed optimizations
  * Bold and italic styles
  * Bug fixes
  * TTF units
  * Paste in place and paste at cursor

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Tue Sep 10 12:51:33 CEST 2013

birdfont (0.28) stable;

  * Kerning classes
  * Copy and paste paths between windows

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Aug 24 22:12:04 CEST 2013

birdfont (0.27) stable;

  * Rotate paths
  * Flip path
  * Convert segments to lines
  * Symmetrical control points
  * Use glyphs as backgrounds

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Aug 11 16:33:47 CEST 2013

birdfont (0.26) stable;

  * Bug fixes for Mac OS X

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Aug  4 18:28:40 CEST 2013

birdfont (0.25) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Thu Aug  1 23:08:20 CEST 2013

birdfont (0.24) stable;

  * New overview tab
  * Two control point handles for quadratic paths
  * Better conversion from SVG to TTF
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed Jul 31 14:34:12 CEST 2013

birdfont (0.23) stable;

  * Bugfixes 

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Jul  14 19:25:00 CEST 2013

birdfont (0.22) stable;

  * Bugfixes and many changes to make BirdFont run on Mac OS X

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Jul  14 01:24:00 CEST 2013

birdfont (0.21) stable;

  * Bugfixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Jul  5 22:45:40 CEST 2013

birdfont (0.20) stable;

  * Descriptive fields in TTF fonts (like version number and name)
  * Kerning for both Chrome and Firefox
  * Read TTF font instead of SVG font in html template
  * Bugfixes
  * Improved translations

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Jul  5 14:13:25 CEST 2013

birdfont (0.19) stable;

  * Descriptions from the Unicode Character Database
  * A new file format (.bf replaces .ffi)
  * Bugfixes
  * Two quadratic points with a hidden point in between creates a quadratic path with two line handles
  * Quadratic points is now the default
  * Scrollbar
  * TTF export on MacOS
  * French translation

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Thu Jun 20 16:15:08 CEST 2013

birdfont (0.18) stable;

  * Bugfixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Tue Feb 26 16:28:20 CET 2013

birdfont (0.17) stable;

  * Macports validation

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Feb 25 23:46:00 CET 2013

birdfont (0.16) stable;

  * Correct location in ID loadcommand for Macports

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Feb 25 23:46:00 CET 2013

birdfont (0.15) stable;

  * Macports file

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Feb 25 23:46:00 CET 2013

birdfont (0.14) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Feb 24 17:43:00 CET 2013

birdfont (0.13) stable;

  * Quadratic Bézier paths
  * Edit SVG fonts
  * Open OTF and TTF fonts with freetype2
  * Open Type kerning (GPOS pair adjustment positioning subtable)
  * Bugfixes
  * Spanish translation
  * Russian translation
  * Italian translation
  * Brasilian Portuguese translation

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Feb 23 19:56:51 CET 2013

birdfont (0.12) stable;

  * Bug fixes and updated test suit

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Thu Jan 31 19:01:04 CET 2013

birdfont (0.11) stable;

  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed Jan 30 09:25:10 CET 2013

birdfont (0.10) stable;

  * Bug fixes
  * Move paths with keyboard
  * Backup and crash recovery

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Jan 27 20:38:32 CET 2013

birdfont (0.9) stable;

  * Color
  * Adjustable control point size
  * Select all path
  * Resize all selected paths
  * Import SVG files from Inkscape and Adobe Illustrator
  * Move control points with keyboard
  * Bugfixes
  * Join paths
  * German translation
  * Chinese translation

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Jan 26 13:57:48 CET 2013

birdfont (0.8) stable;

  * Copy and paste paths from inkscape
  * Export SVG files
  * New build system on top of Eduardo Schettinos doit
  * Dutch translation by Sven Santegoeds

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed Dec 26 23:00:43 CET 2012

birdfont (0.7) stable;

  * New icons
  * Bug fixes
  * Menu
  * Internationalization

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Dec  8 14:40:08 CET 2012

birdfont (0.6) stable;

  * Improved TrueType outlines
  * Resize paths
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Oct 28 18:38:35 CET 2012

birdfont (0.5) stable;

  * Move multiple control points 
  * Draw path from both ends
  * New edit commands
  * Man pages

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sat Oct 20 19:52:27 CEST 2012

birdfont (0.4.1) stable;

  * Edit filled paths
  * Bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Wed Sep 19 15:37:40 CEST 2012

birdfont (0.4.0) stable;

  * Larger control points
  * Crop background updates position of the image
  * Undo command for background images
  * Faster multithreaded export
  * Juxtapose glyphs and draw every glyph in its context
  * New notdef. character
  * New tab bar

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Sep 14 13:11:13 CEST 2012

birdfont (0.3.0) stable;

  * Embedded OpenType (EOT) support
  * Utility for exporting fonts from the command line (birdfont-export)
  * New preview and export codes
  * Rotate, scale and crop background images
  * New key bindings

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Sun Sep  9 20:54:18 CEST 2012

birdfont (0.2.0) stable;

  * TTF support
  * Desktop file and icon
  * Merge paths
  * Wine support

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Thu Aug 30 23:51:17 CEST 2012

birdfont (0.1.1) stable;

  * Several important bug fixes

 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Aug 24 02:03:29 CEST 2012

birdfont (0.1.0) stable;

  * First release
                   
 -- Johan Mattsson <johan.mattsson.m@gmail.com>  Fri Aug 24 02:03:29 CEST 2012
